using Avalonia.Controls;
using Avalonia.Interactivity;
using PSCHelpdesk.ViewModels;

namespace PSCHelpdesk.Views;

public partial class MainWindow : Window
{
    public MainWindow()
    {
        InitializeComponent();
    }

    private void Exit_OnClick(object? sender, RoutedEventArgs e)
    {
        Close();
    }

    private void Settings_OnClick(object? sender, RoutedEventArgs e)
    {
        
        SettingsWindow settings = new SettingsWindow
        {
            DataContext = new SettingsViewModel(),
            Width = 800,
            Height = 600
        };
        settings.Show();
    }
}